# Importer les bibliothèques utilisées
from lcd1602 import LCD1602
from machine import I2C,Pin, ADC
from dht11 import *
from time import sleep

# Créer instance de l'écran
i2c = I2C(1,scl=Pin(7), sda=Pin(6), freq=400000)
d = LCD1602(i2c, 2, 16)

# Potentiomètre sur ADC 1
POTAR = ADC(1)

# Sorties numériques LED et moteur
LED = Pin(16, Pin.OUT)
MOTEUR = Pin(20, Pin.OUT)

# DHT11 sur D18
dht = DHT(18)

#Positionner le curseur 
d.home()
#Eteindre la LED
LED.value(0)
#Arrêter le moteur
MOTEUR.value(0)

# Boucle infinie
while True:
    # Effacer l'écran
    d.clear()
    # Lire la consigne
    consigne = round(POTAR.read_u16()/3000)+10
    # Afficher consigne sur la console
    print ("Consigne : ", consigne)
    # Afficher la consigne sur l'écran
    d.setCursor(14,0)
    d.print (str(round(POTAR.read_u16()/3000)+10))
    # Mesurer Température et Humidité
    temp,humid = dht.readTempHumid()
    # Afficher T et H sur l'écran
    d.setCursor(0,0)
    d.print("Temp : "+str(temp))
    d.setCursor(0,1)
    d.print("Humi : "+str(humid))
    # Afficher T et H sur la console
    print ("Température : ", temp)
    print ("Humidité : ", humid)

    # Tester si T est > consigne +1°C
    if (temp > consigne+1) :
        MOTEUR.value(1)
    else :
        MOTEUR.value(0)
                
    # Tester si T est < consigne -1°C
    if (temp < consigne-1) :
        LED.value(1)
    else :
        LED.value(0)
    
    sleep(1)